FC16下安装Linux版本的必联BL-LW05-H无线网卡驱动程序

0xtuhao 发布于 2014/03/19 01:43
阅读 658
收藏 0

大侠们好!

我在FC16下安装Linux版本的必联BL-LW05-H无线网卡驱动程序,根据文件包的readme_sta文件说明,应该操作下,我的问题在一旁有标注:

1> $tar -xvzf RT2870_Linux_STA_x.x.x.x.tgz
    go to "./RT2870_Linux_STA_x.x.x.x" directory.
    
2> In Makefile
     set the "MODE = STA" in Makefile and chose the TARGET to Linux by set "TARGET = LINUX"
     define the linux kernel source include file path LINUX_SRC

//这个Linux内核文件目录是不是固定的?
     modify to meet your need.

3> In os/linux/config.mk
    define the GCC and LD of the target machine

//这里要的应该是交叉编译环境的GCC/LD吧,我在网上看到说是选这个:

ifeq ($(PLATFORM), RALINK_2880)
LINUX_SRC = /project/stable/RT288x/RT288x_SDK/source/linux-2.4.x
CROSS_COMPILE = /opt/buildroot-gdb/bin/mipsel-linux-
endif

然后config.mk选的是:

CC := $(CROSS_COMPILE)gcc
LD := $(CROSS_COMPILE)ld

但是make时显示make[1]: /opt/buildroot-gdb/bin/mipsel-linux-gcc:命令未找到
make[1]: *** [./2010_0709_RT2870_Linux_STA_v2.4.0.1/common/crypt_md5.o] 错误 127
make[1]: 离开目录“./2010_0709_RT2870_Linux_STA_v2.4.0.1/os/linux”
make: *** [LINUX] 错误 2

麻烦看下问题出在哪。

    define the compiler flags CFLAGS
    modify to meet your need.
    ** Build for being controlled by NetworkManager or wpa_supplicant wext functions
       Please set 'HAS_WPA_SUPPLICANT=y' and 'HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y'.
       => #>cd wpa_supplicant-x.x//x.x是指什么,版本号吗?如果是的话,这也不是目录,cd不进去啊。
       => #>./wpa_supplicant -Dwext -ira0 -c wpa_supplicant.conf -d
    ** Build for being controlled by WpaSupplicant with Ralink Driver
       Please set 'HAS_WPA_SUPPLICANT=y' and 'HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=n'.
       => #>cd wpa_supplicant-0.5.7
       => #>./wpa_supplicant -Dralink -ira0 -c wpa_supplicant.conf -d

4> $make
    # compile driver source code
    # To fix "error: too few arguments to function ¡¥iwe_stream_add_event"
      => $patch -i os/linux/sta_ioctl.c.patch os/linux/sta_ioctl.c

5> $cp RT2870STA.dat  /etc/Wireless/RT2870STA/RT2870STA.dat
    
6> load driver, go to "os/linux/" directory.
    #[kernel 2.4]
    #    $/sbin/insmod rt2870sta.o
    #    $/sbin/ifconfig ra0 inet YOUR_IP up
        
    #[kernel 2.6]
    #    $/sbin/insmod rt2870sta.ko
    #    $/sbin/ifconfig ra0 inet YOUR_IP up

7> unload driver    
    $/sbin/ifconfig ra0 down
    $/sbin/rmmod rt2870sta

折腾好几天没明白,菜鸟求指导,多谢大家。

以下是问题补充:

@0xtuhao:另外,交叉编译环境mipsel-linux是不是要自行安装或配置才行?难道因为我没有做好配置导致GCC找不到? (2014/03/19 01:46)
加载中
0
0
0xtuhao
处女贴,自己顶!d=====( ̄▽ ̄*)b
返回顶部
顶部